#include<bits/stdc++.h>
using namespace std;

int main(){
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	
	long long n, l;
	cin >> n >> l;
	
	bool moze_da_prodje = true;
	long long redni_broj = 0;
	
	for(int i = 0; i < n; i++){
		long long stalaktit;
		cin >> stalaktit;
		if(l >= stalaktit){
			moze_da_prodje = false;
			redni_broj = i+1;
			break;
		}
	}
	
	if(moze_da_prodje)
		cout << "-1";
	else
		cout << redni_broj;
		
	return 0;
}